---

# Weave's network password for encryption, if null then no network encryption.
weave_password: ~

# If set to 1, disable checking for new Weave Net versions (default is blank,
# i.e. check is enabled)
weave_checkpoint_disable: false

# Soft limit on the number of connections between peers. Defaults to 100.
weave_conn_limit: 100

# Weave Net defaults to enabling hairpin on the bridge side of the veth pair
# for containers attached. If you need to disable hairpin, e.g. your kernel is
# one of those that can panic if hairpin is enabled, then you can disable it by
# setting `HAIRPIN_MODE=false`.
weave_hairpin_mode: true

# The range of IP addresses used by Weave Net and the subnet they are placed in
# (CIDR format; default 10.32.0.0/12)
weave_ipalloc_range: "{{ kube_pods_subnet }}"

# Set to 0 to disable Network Policy Controller (default is on)
weave_expect_npc: "{{ enable_network_policy }}"

# List of addresses of peers in the Kubernetes cluster (default is to fetch the
# list from the api-server)
weave_kube_peers: ~

# Set the initialization mode of the IP Address Manager (defaults to consensus
# amongst the KUBE_PEERS)
weave_ipalloc_init: ~

# Set the IP address used as a gateway from the Weave network to the host
# network - this is useful if you are configuring the addon as a static pod.
weave_expose_ip: ~

# Address and port that the Weave Net daemon will serve Prometheus-style
# metrics on (defaults to 0.0.0.0:6782)
weave_metrics_addr: ~

# Address and port that the Weave Net daemon will serve status requests on
# (defaults to disabled)
weave_status_addr: ~

# Weave Net defaults to 1376 bytes, but you can set a smaller size if your
# underlying network has a tighter limit, or set a larger size for better
# performance if your network supports jumbo frames (e.g. 8916)
weave_mtu: 1376

# Set to 1 to preserve the client source IP address when accessing Service
# annotated with `service.spec.externalTrafficPolicy=Local`. The feature works
# only with Weave IPAM (default).
weave_no_masq_local: true

# set to nft to use nftables backend for iptables (default is iptables)
weave_iptables_backend: ~

# Extra variables that passing to launch.sh, useful for enabling seed mode, see
# https://www.weave.works/docs/net/latest/tasks/ipam/ipam/
weave_extra_args: ~

# Extra variables for weave_npc that passing to launch.sh, useful for change log level, ex --log-level=error
weave_npc_extra_args: ~
